Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class GetListOfVmpGroupsResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType
                  be.fgov.ehealth.dics.protocol.v4.ListConsultationResponseType
                      be.fgov.ehealth.dics.protocol.v4.GetListOfVmpGroupsResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:28:56+02:00",
               comments="JAXB RI v2.2.11")
    public class GetListOfVmpGroupsResponse

extends ListConsultationResponseType
implements Serializable

Java class for GetListOfVmpGroupsResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetListOfVmpGroupsResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v4}ListConsultationResponseType">
           <sequence>
             <element name="VmpGroup" type="{urn:be:fgov:ehealth:dics:protocol:v4}VmpGroupListType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetListOfVmpGroupsResponse()`

Method Summary
`List<VmpGroupListType>` | `getVmpGroups()` Gets the value of the vmpGroups property.

Methods inherited from class be.fgov.ehealth.dics.protocol.v4.ListConsultationResponseType
`getTotal, setTotal`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType
`getMaxElements, getOffset, setMaxElements, setOffset`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetListOfVmpGroupsResponse

    public GetListOfVmpGroupsResponse()

Method Detail

### getVmpGroups

    public List<VmpGroupListType> getVmpGroups()

  Gets the value of the vmpGroups property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the vmpGroups property.

  For example, to add a new item, do as follows:

          getVmpGroups().add(newItem);

  Objects of the following type(s) are allowed in the list `VmpGroupListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.